Skip to main content
PUT
/
hooks
/
{hook_id}
Update Webhook
curl --request PUT \
  --url https://api.everhour.com/hooks/{hook_id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "targetUrl": "https://some-secure-endpoint.com/path",
  "events": [
    "api:time:updated"
  ],
  "project": "ev:12345657890"
}
'
{
  "id": 12345,
  "targetUrl": "https://some-secure-endpoint.com/path",
  "events": [
    "api:time:updated"
  ],
  "createdAt": "2018-03-05 16:17:14",
  "lastUsedAt": "2018-03-05 20:01:58",
  "project": "ev:12345657890",
  "isActive": true
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

hook_id
number
required

Webhook ID

Example:

280382

Body

application/json
targetUrl
string
required

Target URL

Example:

"https://some-secure-endpoint.com/path"

events
string[]
required

List of events you want to receive

Example:
["api:time:updated"]
project
string | null

You can receive events only for specific project

Example:

"ev:12345657890"

Response

OK

id
number
required

Webhook ID

Example:

12345

targetUrl
string
required
Example:

"https://some-secure-endpoint.com/path"

events
string[]
required
Example:
["api:time:updated"]
createdAt
string
required

Datetime when webhook was created (format: Y-m-d H:i:s)

Example:

"2018-03-05 16:17:14"

lastUsedAt
string
required

Datetime when webhook was last used (format: Y-m-d H:i:s)

Example:

"2018-03-05 20:01:58"

project
string | null

You can receive events only for specific project

Example:

"ev:12345657890"

isActive
boolean
Example:

true